An Overlord is an Shaman developed in to a leader, that is why he has strong basic Supplementary Magic so he can protect and make his blood pledge members stronger. It can almost be said that this occupation is a specialized occupation for blood pledge wars.
Of course, the basic skills are used to support blood pledge members, increasing their abilities while decreasing the opponents abilities.
To be an Overlord, your level must be over 40 and you need to collect the Mark of the Pilgrim, the Mark of Glory, and the Mark of the Lord.
Ask about marks.
Return